# API Docs Introduction

{% hint style="success" %}
Available as an add-on on paid plans
{% endhint %}

* All API requests require an `ID` and `API Key`, these can be found within the Dashboard > Channels > API access (incl/ Zapier).
* Authentication is handled via the API's request body fields, not via any headers
* Remember to set the header for `Content-Type: application/json` (this is the only header needed)
* All API requests are `POST` methods

[For details on how to use the Query API click here.](https://support.myaskai.com/api-documentation/query-api)

### Can I add content or create an AI agent via API?

Currently, you cannot add content (create embeddings) or create an AI agent via API.&#x20;

If this is something you are looking to do, please contact us via chat and we will do what we can to assist.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.myaskai.com/api-documentation/api-docs-introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
